Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security.provider.cas
Interface ICasSecurityContext

All Known Implementing Classes:
  CasFilteredSecurityContext, CasSecurityContext

    public interface ICasSecurityContext

Interface implemented by CAS security contexts. CAS security contexts are capable of getting a token - a proxy ticket - suitable for accessing a given String-identified service. This interface declares a method for getting such a token. This interface evolved from edu.yale.its.tp.portal.security.IYaleCasContext as distributed in the Yale uPortal CAS security provider distribution version 3.0.0.

Version:
  $Revision$ $Date$

Field Summary
`static int` | `CAS_AUTHTYPE` Authentication type for CAS authentication

Method Summary
`java.lang.String` | `getCasServiceToken(java.lang.String target)` Get a proxy ticket for a given target.

Field Detail

### CAS_AUTHTYPE

    static final int CAS_AUTHTYPE

  Authentication type for CAS authentication

  See Also:
    Constant Field Values

Method Detail

### getCasServiceToken

    java.lang.String getCasServiceToken(java.lang.String target)
                                        throws CasProxyTicketAcquisitionException

  Get a proxy ticket for a given target. Implementations should return null if no PGTIOU or PGT is available by which to obtain a proxy ticket. Implementations should throw a CASProxyTicketAcquisitionException if an error occurs during an attempt to obtain a PGT. In particular, inability to contact the CAS server and expiration of the underlying PGT should result in a CASProxyTicketAcquisitionException.

  Parameters:
    `target` - - URL for which a proxy ticket is desired.
  Returns:
    a valid proxy ticket for the target, or null.
  Throws:
    `CASProxyTicketAcquisitionException` - - when unable to obtain Proxy Ticket.
    `CasProxyTicketAcquisitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD